org.eclipse.actf.model.dom.odf.style

## Class StyleConstants

- java.lang.Object
- - org.eclipse.actf.model.dom.odf.style.StyleConstants

    public final class StyleConstants
    extends Object

StyleConstants defines the constant values used by style namespace of ODF DOM API

### Field Summary

Fields
`static String` `ATTR_APPLY_STYLE_NAME`
`static String` `ATTR_BASE_CELL_ADDRESS`
`static String` `ATTR_CELL_PROTECT`
`static String` `ATTR_COLUMN_WIDTH`
`static String` `ATTR_CONDITION`
`static String` `ATTR_DATA_STYLE_NAME`
`static String` `ATTR_DIRECTION`
`static String` `ATTR_FAMILY`
`static String` `ATTR_FONT_FAMILY_ASIAN`
`static String` `ATTR_FONT_FAMILY_COMPLEX`
`static String` `ATTR_FONT_FAMILY_GENERIC`
`static String` `ATTR_FONT_NAME`
`static String` `ATTR_FONT_PITCH`
`static String` `ATTR_FONT_PITCH_ASIAN`
`static String` `ATTR_FONT_PITCH_COMPLEX`
`static String` `ATTR_FONT_SIZE_ASIAN`
`static String` `ATTR_FONT_SIZE_COMPLEX`
`static String` `ATTR_HORIZONTAL_POS`
`static String` `ATTR_MASTER_PAGE_NAME`
`static String` `ATTR_NAME`
`static String` `ATTR_NUM_FORMAT`
`static String` `ATTR_NUM_PREFIX`
`static String` `ATTR_NUM_SUFFIX`
`static String` `ATTR_PAGE_LAYOUT_NAME`
`static String` `ATTR_PARENT_STYLE_NAME`
`static String` `ATTR_PRINT_ORIENTATION`
`static String` `ATTR_REPEAT`
`static String` `ATTR_ROW_HEIGHT`
`static String` `ATTR_SHADOW`
`static String` `ATTR_TEXT_POSITION`
`static String` `ATTR_TEXT_UNDERLINE_STYLE`
`static String` `ATTR_USE_OPTIMAL_COLUMN_WIDTH`
`static String` `ATTR_USE_OPTIMAL_ROW_HEIGHT`
`static String` `ATTR_VERTICAL_ALIGN`
`static String` `ATTR_WIDTH`
`static String` `ATTR_WRITING_MODE`
`static int` `CELL_PROTECT_VALUE_HIDDEN`
`static int` `CELL_PROTECT_VALUE_HIDDEN_AND_PROTECTED`
`static int` `CELL_PROTECT_VALUE_NONE`
`static int` `CELL_PROTECT_VALUE_NOT_DEFINED`
`static int` `CELL_PROTECT_VALUE_PROTECTED`
`static String` `ELEMENT_CHART_PROPERTIES`
`static String` `ELEMENT_DEFAULT_STYLE`
`static String` `ELEMENT_DRAWING_PAGE_PROPERTIES`
`static String` `ELEMENT_FONT_FACE`
`static String` `ELEMENT_GRAPHIC_PROPERTIES`
`static String` `ELEMENT_MAP`
`static String` `ELEMENT_MASTER_PAGE`
`static String` `ELEMENT_PAGE_LAYOUT`
`static String` `ELEMENT_PAGE_LAYOUT_PROPERTIES`
`static String` `ELEMENT_PARAGRAPH_PROPERTIES`
`static String` `ELEMENT_STYLE`
`static String` `ELEMENT_TABLE_CELL_PROPERTIES`
`static String` `ELEMENT_TABLE_COLUMN_PROPERTIES`
`static String` `ELEMENT_TABLE_PROPERTIES`
`static String` `ELEMENT_TABLE_ROW_PROPERTIES`
`static String` `ELEMENT_TEXT_PROPERTIES`
`static String` `STYLE_NAMESPACE_URI`

### Constructor Summary

Constructors
Constructor and Description
`StyleConstants()`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### STYLE_NAMESPACE_URI

    public static final String STYLE_NAMESPACE_URI

See Also:
  Constant Field Values

#### ELEMENT_DEFAULT_STYLE

    public static final String ELEMENT_DEFAULT_STYLE

See Also:
  Constant Field Values

#### ELEMENT_STYLE

    public static final String ELEMENT_STYLE

See Also:
  Constant Field Values

#### ELEMENT_TABLE_PROPERTIES

    public static final String ELEMENT_TABLE_PROPERTIES

See Also:
  Constant Field Values

#### ELEMENT_TABLE_COLUMN_PROPERTIES

    public static final String ELEMENT_TABLE_COLUMN_PROPERTIES

See Also:
  Constant Field Values

#### ELEMENT_TABLE_ROW_PROPERTIES

    public static final String ELEMENT_TABLE_ROW_PROPERTIES

See Also:
  Constant Field Values

#### ELEMENT_TABLE_CELL_PROPERTIES

    public static final String ELEMENT_TABLE_CELL_PROPERTIES

See Also:
  Constant Field Values

#### ELEMENT_FONT_FACE

    public static final String ELEMENT_FONT_FACE

See Also:
  Constant Field Values

#### ELEMENT_TEXT_PROPERTIES

    public static final String ELEMENT_TEXT_PROPERTIES

See Also:
  Constant Field Values

#### ELEMENT_CHART_PROPERTIES

    public static final String ELEMENT_CHART_PROPERTIES

See Also:
  Constant Field Values

#### ELEMENT_GRAPHIC_PROPERTIES

    public static final String ELEMENT_GRAPHIC_PROPERTIES

See Also:
  Constant Field Values

#### ELEMENT_PARAGRAPH_PROPERTIES

    public static final String ELEMENT_PARAGRAPH_PROPERTIES

See Also:
  Constant Field Values

#### ELEMENT_PAGE_LAYOUT

    public static final String ELEMENT_PAGE_LAYOUT

See Also:
  Constant Field Values

#### ELEMENT_PAGE_LAYOUT_PROPERTIES

    public static final String ELEMENT_PAGE_LAYOUT_PROPERTIES

See Also:
  Constant Field Values

#### ELEMENT_DRAWING_PAGE_PROPERTIES

    public static final String ELEMENT_DRAWING_PAGE_PROPERTIES

See Also:
  Constant Field Values

#### ELEMENT_MASTER_PAGE

    public static final String ELEMENT_MASTER_PAGE

See Also:
  Constant Field Values

#### ELEMENT_MAP

    public static final String ELEMENT_MAP

See Also:
  Constant Field Values

#### ATTR_NAME

    public static final String ATTR_NAME

See Also:
  Constant Field Values

#### ATTR_DIRECTION

    public static final String ATTR_DIRECTION

See Also:
  Constant Field Values

#### ATTR_FONT_PITCH

    public static final String ATTR_FONT_PITCH

See Also:
  Constant Field Values

#### ATTR_FAMILY

    public static final String ATTR_FAMILY

See Also:
  Constant Field Values

#### ATTR_MASTER_PAGE_NAME

    public static final String ATTR_MASTER_PAGE_NAME

See Also:
  Constant Field Values

#### ATTR_PARENT_STYLE_NAME

    public static final String ATTR_PARENT_STYLE_NAME

See Also:
  Constant Field Values

#### ATTR_DATA_STYLE_NAME

    public static final String ATTR_DATA_STYLE_NAME

See Also:
  Constant Field Values

#### ATTR_PAGE_LAYOUT_NAME

    public static final String ATTR_PAGE_LAYOUT_NAME

See Also:
  Constant Field Values

#### ATTR_COLUMN_WIDTH

    public static final String ATTR_COLUMN_WIDTH

See Also:
  Constant Field Values

#### ATTR_USE_OPTIMAL_COLUMN_WIDTH

    public static final String ATTR_USE_OPTIMAL_COLUMN_WIDTH

See Also:
  Constant Field Values

#### ATTR_WRITING_MODE

    public static final String ATTR_WRITING_MODE

See Also:
  Constant Field Values

#### ATTR_ROW_HEIGHT

    public static final String ATTR_ROW_HEIGHT

See Also:
  Constant Field Values

#### ATTR_USE_OPTIMAL_ROW_HEIGHT

    public static final String ATTR_USE_OPTIMAL_ROW_HEIGHT

See Also:
  Constant Field Values

#### ATTR_FONT_NAME

    public static final String ATTR_FONT_NAME

See Also:
  Constant Field Values

#### ATTR_FONT_FAMILY_GENERIC

    public static final String ATTR_FONT_FAMILY_GENERIC

See Also:
  Constant Field Values

#### ATTR_FONT_FAMILY_ASIAN

    public static final String ATTR_FONT_FAMILY_ASIAN

See Also:
  Constant Field Values

#### ATTR_FONT_PITCH_ASIAN

    public static final String ATTR_FONT_PITCH_ASIAN

See Also:
  Constant Field Values

#### ATTR_FONT_SIZE_ASIAN

    public static final String ATTR_FONT_SIZE_ASIAN

See Also:
  Constant Field Values

#### ATTR_FONT_FAMILY_COMPLEX

    public static final String ATTR_FONT_FAMILY_COMPLEX

See Also:
  Constant Field Values

#### ATTR_FONT_PITCH_COMPLEX

    public static final String ATTR_FONT_PITCH_COMPLEX

See Also:
  Constant Field Values

#### ATTR_FONT_SIZE_COMPLEX

    public static final String ATTR_FONT_SIZE_COMPLEX

See Also:
  Constant Field Values

#### ATTR_REPEAT

    public static final String ATTR_REPEAT

See Also:
  Constant Field Values

#### ATTR_PRINT_ORIENTATION

    public static final String ATTR_PRINT_ORIENTATION

See Also:
  Constant Field Values

#### ATTR_SHADOW

    public static final String ATTR_SHADOW

See Also:
  Constant Field Values

#### ATTR_CONDITION

    public static final String ATTR_CONDITION

See Also:
  Constant Field Values

#### ATTR_APPLY_STYLE_NAME

    public static final String ATTR_APPLY_STYLE_NAME

See Also:
  Constant Field Values

#### ATTR_BASE_CELL_ADDRESS

    public static final String ATTR_BASE_CELL_ADDRESS

See Also:
  Constant Field Values

#### ATTR_TEXT_UNDERLINE_STYLE

    public static final String ATTR_TEXT_UNDERLINE_STYLE

See Also:
  Constant Field Values

#### ATTR_TEXT_POSITION

    public static final String ATTR_TEXT_POSITION

See Also:
  Constant Field Values

#### ATTR_NUM_FORMAT

    public static final String ATTR_NUM_FORMAT

See Also:
  Constant Field Values

#### ATTR_NUM_PREFIX

    public static final String ATTR_NUM_PREFIX

See Also:
  Constant Field Values

#### ATTR_NUM_SUFFIX

    public static final String ATTR_NUM_SUFFIX

See Also:
  Constant Field Values

#### ATTR_WIDTH

    public static final String ATTR_WIDTH

See Also:
  Constant Field Values

#### ATTR_VERTICAL_ALIGN

    public static final String ATTR_VERTICAL_ALIGN

See Also:
  Constant Field Values

#### ATTR_HORIZONTAL_POS

    public static final String ATTR_HORIZONTAL_POS

See Also:
  Constant Field Values

#### ATTR_CELL_PROTECT

    public static final String ATTR_CELL_PROTECT

See Also:
  Constant Field Values

#### CELL_PROTECT_VALUE_NOT_DEFINED

    public static final int CELL_PROTECT_VALUE_NOT_DEFINED

See Also:
  Constant Field Values

#### CELL_PROTECT_VALUE_NONE

    public static final int CELL_PROTECT_VALUE_NONE

See Also:
  Constant Field Values

#### CELL_PROTECT_VALUE_PROTECTED

    public static final int CELL_PROTECT_VALUE_PROTECTED

See Also:
  Constant Field Values

#### CELL_PROTECT_VALUE_HIDDEN

    public static final int CELL_PROTECT_VALUE_HIDDEN

See Also:
  Constant Field Values

#### CELL_PROTECT_VALUE_HIDDEN_AND_PROTECTED

    public static final int CELL_PROTECT_VALUE_HIDDEN_AND_PROTECTED

See Also:
  Constant Field Values

### Constructor Detail

#### StyleConstants

    public StyleConstants()